Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
ads_search
/
live
/
advanced
Live Google Ads Search Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/ads_search/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "advertiser_ids": [
    "<string>"
  ],
  "target": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
advertiser_ids
string[]

Advertiser identifiers; required if target is not specified

target
string

Domain name associated with an advertiser account; required if advertiser_ids is not specified

location_name
string

Full name of search engine location

location_code
integer

Search engine location code

location_coordinate
string

GPS coordinates of a location

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results